[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible openwrt and coreboot: build on tmpfs

Holger Levsen holger at moszumanska.debian.org
Fri Jun 12 15:35:57 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit ed081206891781087f2cec0edaf4ade648cc50e9
Author: Holger Levsen <holger at layer-acht.org>
Date:   Fri Jun 12 17:35:25 2015 +0200

    reproducible openwrt and coreboot: build on tmpfs
---
 bin/reproducible_coreboot.sh | 19 +++++++++----------
 bin/reproducible_openwrt.sh  | 19 +++++++++----------
 2 files changed, 18 insertions(+), 20 deletions(-)

diff --git a/bin/reproducible_coreboot.sh b/bin/reproducible_coreboot.sh
index 972bb8a..84795f3 100755
--- a/bin/reproducible_coreboot.sh
+++ b/bin/reproducible_coreboot.sh
@@ -16,9 +16,10 @@ set -e
 # build for different architectures
 ARCHS="i386-elf x86_64-elf armv7a-eabi aarch64-elf mipsel-elf riscv-elf"
 
-cleanup_tmpdir() {
+cleanup_tmpdirs() {
 	cd
 	rm -r $TMPDIR
+	rm -r $TMPBUILDDIR
 }
 
 create_results_dirs() {
@@ -70,15 +71,13 @@ call_debbindiff() {
 #
 # main
 #
-
-TMPDIR=$(mktemp --tmpdir=/srv/reproducible-results -d)  # where everything actually happens
-trap cleanup_tmpdir INT TERM EXIT
-cd $TMPDIR
-
+TMPBUILDDIR=$(mktemp --tmpdir=/srv/workspace/chroots/ -d -t coreboot-XXXXXXXX)  # used to build on tmpfs
+TMPDIR=$(mktemp --tmpdir=/srv/reproducible-results -d)  # accessable in schroots, used to compare results
 DATE=$(date -u +'%Y-%m-%d')
 START=$(date +'%s')
-mkdir b1 b2
+trap cleanup_tmpdirs INT TERM EXIT
 
+cd $TMPBUILDDIR
 echo "============================================================================="
 echo "$(date -u) - Cloning the coreboot git repository with submodules now."
 echo "============================================================================="
@@ -151,7 +150,7 @@ cd coreboot-builds
 for i in * ; do
 	# abuild and sharedutils are build results but not the results we are looking for...
 	if [ "$i" != "abuild" ] && [ "$i" != "sharedutils" ] ; then
-		mkdir $TMPDIR/b1/$i
+		mkdir -p $TMPDIR/b1/$i
 		if [ -f $i/coreboot.rom ] ; then
 			cp -p $i/coreboot.rom $TMPDIR/b1/$i/
 		fi
@@ -186,7 +185,7 @@ umask 0022
 cd coreboot-builds
 for i in * ; do
 	if [ -f $i/coreboot.rom ] ; then
-		mkdir $TMPDIR/b2/$i
+		mkdir -p $TMPDIR/b2/$i
 		cp -p $i/coreboot.rom $TMPDIR/b2/$i/
 	fi
 done
@@ -280,5 +279,5 @@ irc_message "$REPRODUCIBLE_URL/coreboot/ has been updated. ($GOOD_PERCENT% repro
 echo "============================================================================="
 
 # remove everything, we don't need it anymore...
-cleanup_tmpdir
+cleanup_tmpdirs
 trap - INT TERM EXIT
diff --git a/bin/reproducible_openwrt.sh b/bin/reproducible_openwrt.sh
index c10879b..13b8b6b 100755
--- a/bin/reproducible_openwrt.sh
+++ b/bin/reproducible_openwrt.sh
@@ -12,9 +12,10 @@ common_init "$@"
 . /srv/jenkins/bin/reproducible_common.sh
 set -e
 
-cleanup_tmpdir() {
+cleanup_tmpdirs() {
 	cd
 	rm -r $TMPDIR
+	rm -r $TMPBUILDDIR
 }
 
 create_results_dirs() {
@@ -67,15 +68,13 @@ call_debbindiff() {
 #
 # main
 #
-
-TMPDIR=$(mktemp --tmpdir=/srv/reproducible-results -d)  # where everything actually happens
-trap cleanup_tmpdir INT TERM EXIT
-cd $TMPDIR
-
+TMPBUILDDIR=$(mktemp --tmpdir=/srv/workspace/chroots/ -d -t openwrt-XXXXXXXX)  # used to build on tmpfs
+TMPDIR=$(mktemp --tmpdir=/srv/reproducible-results -d)  # accessable in schroots, used to compare results
 DATE=$(date -u +'%Y-%m-%d')
 START=$(date +'%s')
-mkdir b1 b2
+trap cleanup_tmpdirs INT TERM EXIT
 
+cd $TMPBUILDDIR
 echo "============================================================================="
 echo "$(date -u) - Cloning the OpenWRT git repository now."
 echo "============================================================================="
@@ -119,7 +118,7 @@ nice ionice -c 3 \
 cd bin
 for i in * ; do
 	cd $i
-	mkdir $TMPDIR/b1/$i
+	mkdir -p $TMPDIR/b1/$i
 	for j in $(find . -name "*.bin") ; do
 		cp -p $j $TMPDIR/b1/$i/
 	done
@@ -177,7 +176,7 @@ umask 0022
 cd bin
 for i in * ; do
 	cd $i
-	mkdir $TMPDIR/b2/$i
+	mkdir -p $TMPDIR/b2/$i
 	for j in $(find . -name "*.bin") ; do
 		cp -p $j $TMPDIR/b2/$i/
 	done
@@ -294,5 +293,5 @@ irc_message "$REPRODUCIBLE_URL/openwrt/ has been updated. ($GOOD_PERCENT% reprod
 echo "============================================================================="
 
 # remove everything, we don't need it anymore...
-cleanup_tmpdir
+cleanup_tmpdirs
 trap - INT TERM EXIT

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list